Skip to content

Your data / Profile & preferences

GET
https://ba.joexyz.online/api/v1/me

Gets the user who owns the API key. externalId is the Clerk user id.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

curl https://ba.joexyz.online/api/v1/me \
  -H 'Authorization: Bearer {{api_key}}'
Response
X-RateLimit-Limit
120
X-RateLimit-Remaining
119
X-RateLimit-Reset
1793620860
{
  "data": {
    "id": "jd7erxxxq9g5dt2hkdmsmwamhs7m2aw1",
    "createdAt": "2025-07-20T14:16:44.478Z",
    "name": "Joe",
    "externalId": "user_308tPUX82qIALFSBNzJl3b4KFYv",
    "username": "joexyz",
    "avatar": "https://img.clerk.com/eyJ0eXBlIjoicHJveHkiLCJzcmMiOiJodHRwczovL2ltYWdlcy5jbGVyay5kZXYvb2F1dGhfZGlzY29yZC9pbWdfMzA4dFBaNlpUeFJSb1FKbkdGRUE5Vm1HMDdWIn0"
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc